GEOS: geos::operation::relate::RelateNode Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
geos::operation::relate::RelateNode Class Reference

Represents a node in the topological graph used to compute spatial relationships. More...

`#include <RelateNode.h>`

Inherits geos::geomgraph::Node.

## Public Member Functions
| RelateNode (const geom::Coordinate &coord, geomgraph::EdgeEndStar *edges)
void | updateIMFromEdges (geom::IntersectionMatrix *im)
Public Member Functions inherited from geos::geomgraph::Node
| Node (const geom::Coordinate &newCoord, EdgeEndStar *newEdges)
virtual const geom::Coordinate & | getCoordinate () const
virtual EdgeEndStar * | getEdges ()
virtual bool | isIsolated () const
virtual void | add (EdgeEnd *e)
| Add the edge to the list of edges at this node.
virtual void | mergeLabel (const Node &n)
virtual void | mergeLabel (const Label &label2)
| To merge labels for two nodes, the merged location for each LabelElement is computed.
virtual void | setLabel (int argIndex, int onLocation)
virtual void | setLabelBoundary (int argIndex)
| Updates the label of a node to BOUNDARY, obeying the mod-2 boundaryDetermination rule.
virtual int | computeMergedLocation (const Label *label2, int eltIndex)
virtual std::string | print ()
virtual const std::vector < double > & | getZ () const
virtual void | addZ (double)
virtual bool | isIncidentEdgeInResult () const
| Tests whether any incident edge is flagged as being in the result.
Public Member Functions inherited from geos::geomgraph::GraphComponent
| GraphComponent (Label *newLabel)
Label * | getLabel ()
virtual void | setLabel (Label *newLabel)
virtual void | setInResult (bool isInResult)
virtual bool | isInResult () const
virtual void | setCovered (bool isCovered)
virtual bool | isCovered () const
virtual bool | isCoveredSet () const
virtual bool | isVisited () const
virtual void | setVisited (bool isVisited)
virtual bool | isIsolated () const =0
virtual void | updateIM (geom::IntersectionMatrix *im)

## Protected Member Functions
void | computeIM (geom::IntersectionMatrix *im)
Protected Member Functions inherited from geos::geomgraph::Node
void | testInvariant () const
virtual void | computeIM (geom::IntersectionMatrix *)
| Basic nodes do not compute IMs.
Protected Member Functions inherited from geos::geomgraph::GraphComponent
virtual void | computeIM (geom::IntersectionMatrix *im)=0

## Additional Inherited Members
Protected Attributes inherited from geos::geomgraph::Node
geom::Coordinate | coord
EdgeEndStar * | edges

## Detailed Description

Represents a node in the topological graph used to compute spatial relationships.

The documentation for this class was generated from the following file:

- RelateNode.h